%{?nodejs_find_provides_and_requires}

%global packagename gulp-ng-classify
%global enable_tests 1

Name:		nodejs-gulp-ng-classify
Version:	4.0.1
Release:	2%{?dist}
Summary:	Compile CoffeeScript classes to AngularJS modules

License:	MIT
URL:		https://github.com/CaryLandholt/gulp-ng-classify
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(coffee-script)
BuildRequires:	npm(event-stream)
BuildRequires:	npm(gulp-util)
BuildRequires:	npm(ng-classify)

%if 0%{?enable_tests}
#BuildRequires:
%endif

%description
Compile CoffeeScript classes to AngularJS modules


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js *.coffee \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[101m -=#=- This module has no tests \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 27 2018 Jared K. Smith <jsmith@fedoraproject.org> - 4.0.1-1
- Initial packaging
